Bug 217945 - game/xosmulti
Summary: game/xosmulti
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-20 10:36 UTC by Masayoshi Fujimoto
Modified: 2017-03-23 09:15 UTC (History)
1 user (show)

See Also:


Attachments
xosmulti.diff (808 bytes, patch)
2017-03-22 14:39 UTC, Tobias Kortkamp
no flags Details | Diff
xosmulti.diff (2.90 KB, patch)
2017-03-22 15:57 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Masayoshi Fujimoto 2017-03-20 10:36:05 UTC
masayoshi@freebsd:/home/masayoshi % uname -r
11.0-RELEASE-p8
masayoshi@freebsd:/home/masayoshi % sudo pkg install xosmulti
Password:
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
Checking integrity... done (0 conflicting)
The following 1 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
	xosmulti: 1.00_2

Number of packages to be installed: 1

Proceed with this action? [y/N]: y
[1/1] Installing xosmulti-1.00_2...
[1/1] Extracting xosmulti-1.00_2: 100%
Message from xosmulti-1.00_2:
===>   NOTICE:

The xosmulti port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
masayoshi@freebsd:/home/masayoshi % rehash 
masayoshi@freebsd:/home/masayoshi % xosmulti 
Segmentation fault (core dumped)
Comment 1 Tobias Kortkamp freebsd_committer 2017-03-22 14:39:50 UTC
Created attachment 181058 [details]
xosmulti.diff

With this patch applied it stops segfaulting, but still will not run:

X Error of failed request:  BadMatch (invalid parameter attributes)
  Major opcode of failed request:  72 (X_PutImage)
  Serial number of failed request:  193
  Current serial number in output stream:  195
Comment 2 Tobias Kortkamp freebsd_committer 2017-03-22 15:57:11 UTC
Created attachment 181060 [details]
xosmulti.diff

Ok, here is a patch that works for me.  Can you confirm that it fixes xosmulti?
Comment 3 commit-hook freebsd_committer 2017-03-23 09:14:20 UTC
A commit references this bug:

Author: tobik
Date: Thu Mar 23 09:13:25 UTC 2017
New revision: 436760
URL: https://svnweb.freebsd.org/changeset/ports/436760

Log:
  Fix runtime

  PR:		217945
  Submitted by:	Masayoshi Fujimoto <m.fujimoto@yandex.ru>
  Reviewed by:	Masayoshi Fujimoto <m.fujimoto@yandex.ru>
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10116

Changes:
  head/games/xosmulti/Makefile
  head/games/xosmulti/files/patch-biff.c
  head/games/xosmulti/files/patch-image.c
  head/games/xosmulti/files/patch-xosmulti.c